| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
IoComponentMgr::IoComponentEntry Struct Reference
Collaboration diagram for IoComponentMgr::IoComponentEntry:
[legend]

## Public Member Functions
| IoComponentEntry ()
| IoComponentEntry (const std::string &f, const std::string &p, const IIoComponentMgr::IoMode::Type &t)
| IoComponentEntry (const IoComponentEntry &rhs)
bool | operator< (IoComponentEntry const &rhs) const

## Public Attributes
std::string | m_oldfname
std::string | m_oldabspath
std::string | m_newfname
IIoComponentMgr::IoMode::Type | m_iomode

## Friends
std::ostream & | operator<< (std::ostream &os, const IoComponentEntry &c)

## Detailed Description

Definition at line 128 of file IoComponentMgr.h.

## Constructor & Destructor Documentation

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( |  | ) |
| inline

Definition at line 134 of file IoComponentMgr.h.

134 :m_oldfname(""),m_oldabspath(""),m_newfname(""), // VT. changes
135 m_iomode(IIoComponentMgr::IoMode::INVALID) {}
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:130
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:129
IIoComponentMgr::IoMode::INVALID
Definition: IIoComponentMgr.h:36
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:132
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:131

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( | const std::string & | f,
|  | const std::string & | p,
|  | const IIoComponentMgr::IoMode::Type & | t
| ) |  |
| inline

Definition at line 136 of file IoComponentMgr.h.

138 : m_oldfname(f), m_oldabspath(p),m_newfname(""), m_iomode(t){} // VT. changes
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:130
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:129
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:132
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:131

IoComponentMgr::IoComponentEntry::IoComponentEntry | ( | const IoComponentEntry & | rhs | ) |
| inline

Definition at line 139 of file IoComponentMgr.h.

139 :m_oldfname(rhs.m_oldfname),
140 m_oldabspath(rhs.m_oldabspath), // VT. changes
141 m_newfname(rhs.m_newfname),
142 m_iomode(rhs.m_iomode){}
IoComponentMgr::IoComponentEntry::m_oldabspath
std::string m_oldabspath
Definition: IoComponentMgr.h:130
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:129
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:132
IoComponentMgr::IoComponentEntry::m_newfname
std::string m_newfname
Definition: IoComponentMgr.h:131

## Member Function Documentation

bool IoComponentMgr::IoComponentEntry::operator< | ( | IoComponentEntry const & | rhs | ) | const
| inline

Definition at line 143 of file IoComponentMgr.h.

143 {
144 if (m_oldfname == rhs.m_oldfname) {
145 return (m_iomode < rhs.m_iomode);
146 } else {
147 return (m_oldfname < rhs.m_oldfname);
148 }
149 }
IoComponentMgr::IoComponentEntry::m_oldfname
std::string m_oldfname
Definition: IoComponentMgr.h:129
IoComponentMgr::IoComponentEntry::m_iomode
IIoComponentMgr::IoMode::Type m_iomode
Definition: IoComponentMgr.h:132

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IoComponentEntry & | c
| ) |  |
| friend

Definition at line 151 of file IoComponentMgr.h.

151 {
152 os << "old: \"" << c.m_oldfname
153 << "\" absolute path: \"" << c.m_oldabspath
154 << "\" new: \"" << c.m_newfname
155 << "\" m: " << ( (c.m_iomode == IIoComponentMgr::IoMode::READ) ?
156 "R" : "W" );
157 return os;
158 }
gaudirun.c
c
Definition: gaudirun.py:391
IIoComponentMgr::IoMode::READ
Definition: IIoComponentMgr.h:33

## Member Data Documentation

IIoComponentMgr::IoMode::Type IoComponentMgr::IoComponentEntry::m_iomode

Definition at line 132 of file IoComponentMgr.h.

std::string IoComponentMgr::IoComponentEntry::m_newfname

Definition at line 131 of file IoComponentMgr.h.

std::string IoComponentMgr::IoComponentEntry::m_oldabspath

Definition at line 130 of file IoComponentMgr.h.

std::string IoComponentMgr::IoComponentEntry::m_oldfname

Definition at line 129 of file IoComponentMgr.h.

The documentation for this struct was generated from the following file:

- GaudiMP/src/component/IoComponentMgr.h